<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <i class="fa fa-globe"></i>{{'diagnostic.port_check.title' | translate}}
        </div>
        <div class="card-body">
          <form [formGroup]="editForm">
            <div class="row">
              <div class="form-group col-md-6 row">
                <label class="col-4 col-form-label"
                       for="ip_address">{{'diagnostic.ip_domain' | translate}}</label>
                <div class="col-8">
                  <input type="text" class="form-control" name="ip_address" id="ip_address" formControlName="ip_address"
                         placeholder="example.com"/>
                  <div
                    *ngIf="editForm.get('ip_address').invalid && (editForm.get('ip_address').dirty || editForm.get('ip_address').touched)">
                      <span class="form-text text-danger"
                            *ngIf="editForm.get('ip_address').errors?.required">
                        {{'error.validate.input_required' | translate}}
                      </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="form-group col-md-6 row">
                <label class="col-4 col-form-label"
                       for="port">{{'diagnostic.port_check.port_number' | translate}}</label>
                <div class="form-group col-8">
                  <input type="number" style="width: 50%; display: block" class="form-control" name="port" id="port"
                         formControlName="port"
                         placeholder="443"/>
                  <div
                    *ngIf="editForm.get('port').invalid && (editForm.get('port').dirty || editForm.get('port').touched)">
                      <span class="form-text text-danger"
                            *ngIf="editForm.get('port').errors?.required">
                        {{'error.validate.input_required' | translate}}
                      </span>
                    <span class="form-text text-danger"
                          *ngIf="editForm.get('port').errors?.max ">
                        {{'portcheck.max' | translate}}
                      </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group text-left">
              <button type="submit" class="btn btn-primary" id="save-entity" (click)="save()"
                      [disabled]="editForm.invalid">
                <span class="d-none d-md-inline">{{'common.start' | translate}}</span>
              </button>
            </div>
            <br/>
            <p>{{'diagnostic.port_check.result' | translate}}</p>
            <div class="scoll">
              <div *ngIf="portCheck">
                <div style="margin-left: 5px" *ngIf="portCheck.is_open === 1">
                  <span>{{portCheck.ip_address}}:{{portCheck.port}} port is open</span>
                </div>
                <div style="margin-left: 5px" *ngIf="portCheck.is_open !== 1">
                  <span>{{portCheck.ip_address}}:{{portCheck.port}} port is not open</span>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
